package com.jz.dmp.modules.model;

import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

/**操作日志表
 * @author ybz
 *
 */
@ApiModel(value = "操作日志表", description = "操作日志表")
public class DmpOptLog implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	* 主键
	*/
	@ApiModelProperty(value = "主键")
    private Integer optId;

	/**
	* 操作人ID
	*/
	@ApiModelProperty(value = "操作人ID")
    private Integer userId;

	/**
	* 操作人姓名
	*/
	@ApiModelProperty(value = "操作人姓名")
    private String userName;

  /**
  * 操作时间
  */
	@ApiModelProperty(value = "操作时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date optTime;

	/**
	* 操作类型
	*/
	@ApiModelProperty(value = "操作类型")
    private String optType;

	/**
	* 操作描述
	*/
	@ApiModelProperty(value = "操作描述")
    private String optDesc;

	/**
	* 操作方法
	*/
	@ApiModelProperty(value = "操作方法")
    private String method;

	/**
	* 请求参数
	*/
	@ApiModelProperty(value = "请求参数")
    private String requestParam;

	/**
	* 操作结果
	*/
	@ApiModelProperty(value = "操作结果")
    private String optResult;

	/**
	* IP地址
	*/
	@ApiModelProperty(value = "IP地址")
    private String optIp;

	/**
	* 备注
	*/
	@ApiModelProperty(value = "备注")
    private String remark;

	/**
	* 数据状态(0：删除，1，未删除)
	*/
	@ApiModelProperty(value = "数据状态(0：删除，1，未删除)")
    private String dataStatus;

	/**
	* 创建用户ID
	*/
	@ApiModelProperty(value = "创建用户ID")
    private Integer createUserId;

  /**
  * 创建时间
  */
	@ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

	/**
	* 修改用户ID
	*/
	@ApiModelProperty(value = "修改用户ID")
    private Integer updateUserId;

  /**
  * 修改时间
  */
	@ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

	public Integer getOptId() {
		return optId;
	}

	public void setOptId(Integer optId) {
		this.optId = optId;
	}

	public Integer getUserId() {
		return userId;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public Date getOptTime() {
		return optTime;
	}

	public void setOptTime(Date optTime) {
		this.optTime = optTime;
	}

	public String getOptType() {
		return optType;
	}

	public void setOptType(String optType) {
		this.optType = optType;
	}

	public String getOptDesc() {
		return optDesc;
	}

	public void setOptDesc(String optDesc) {
		this.optDesc = optDesc;
	}

	public String getMethod() {
		return method;
	}

	public void setMethod(String method) {
		this.method = method;
	}

	public String getRequestParam() {
		return requestParam;
	}

	public void setRequestParam(String requestParam) {
		this.requestParam = requestParam;
	}

	public String getOptResult() {
		return optResult;
	}

	public void setOptResult(String optResult) {
		this.optResult = optResult;
	}

	public String getOptIp() {
		return optIp;
	}

	public void setOptIp(String optIp) {
		this.optIp = optIp;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getDataStatus() {
		return dataStatus;
	}

	public void setDataStatus(String dataStatus) {
		this.dataStatus = dataStatus;
	}

	public Integer getCreateUserId() {
		return createUserId;
	}

	public void setCreateUserId(Integer createUserId) {
		this.createUserId = createUserId;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Integer getUpdateUserId() {
		return updateUserId;
	}

	public void setUpdateUserId(Integer updateUserId) {
		this.updateUserId = updateUserId;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
	
	
}
